#
# spec file for package rpmfind (Version 0.98)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  libz gettext rpm2html gnlibs

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         rpmfind
Release:      0
Copyright:    1998 World Wide Web Consortium
Group: 
Provides:     rpmfind 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      Automatic RPM Package Update
Version:      0.98
Source:     ftp://rufus.w3.org/pub/rpm2html/rpmfind-0.98.tar.gz
Patch:      rpmfind-0.98.dif
# autoconf
BuildRoot:  /var/tmp/rpmf
%description
rpmfind analyze the current state of the system, check a remote database
using HTTP to lookup the packages providing the best affinity with
your current software base and also list the extra packages that
you need to install to solve the missing dependencies.
Rpmfind can also do the transfer once the list of package has been
established. 
home page: http://rufus.w3.org/linux/rpm2html/rpmfind.html

Authors:
--------
    Daniel Veillard <veillard@w3.org>

%prep
%setup -n $RPM_PACKAGE_NAME-$RPM_PACKAGE_VERSION
%patch -p 1
# autoconf
export CFLAGS="$RPM_OPT_FLAGS" \
  && ./configure --prefix=/usr \
                 --sysconfdir=/var/lib
make depends
%build
make
%install
if [ ! "x" = "x$RPM_BUILD_ROOT" ] ; then
  %{INSTALL_DIR} $RPM_BUILD_ROOT
fi
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/bin
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/share/$RPM_PACKAGE_NAME
%{INSTALL_DIR} $RPM_BUILD_ROOT/usr/man/man1
%{INSTALL_DIR} $RPM_BUILD_ROOT/var/lib
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=$RPM_BUILD_ROOT/var/lib
# %{INSTALL_DATA} new.gif dir.gif $RPM_BUILD_ROOT/usr/share/$RPM_PACKAGE_NAME
# make install.man
# gzip -9f $RPM_BUILD_ROOT/usr/man/man1/rpmfind.1
export RPM_BUILD_ROOT
Check
# %clean
# rm -fr $RPM_BUILD_ROOT
# %config /var/lib/rpmfind.config
%files
%doc BUGS CHANGES Copyright README INSTALL TODO
%dir /usr/bin
/usr/bin/rpmfind
/usr/lib/libwww.a

